From 477fdc3e4d55375c4e44ca578ebbf16bba51d698 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 28 2016 09:00:56 +0000
Subject: [PATCH 463/1001] Make the `Add to calendar` button in the meeting widget working


---

diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index 5812f94..e6c68c1 100755
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -17,13 +17,15 @@ import requests
 def next_meeting(meetings):
     now = datetime.datetime.utcnow()
     for meeting in meetings:
-        start_string = "%s %s" % (meeting['meeting_date'],
-                            meeting['meeting_time_start'])
-        start_dt = datetime.datetime.strptime(start_string, "%Y-%m-%d %H:%M:%S")
-
-        stop_string = "%s %s" % (meeting['meeting_date_end'],
-                            meeting['meeting_time_stop'])
-        stop_dt = datetime.datetime.strptime(stop_string, "%Y-%m-%d %H:%M:%S")
+        start_string = "%s %s" % (
+            meeting['meeting_date'], meeting['meeting_time_start'])
+        start_dt = datetime.datetime.strptime(
+            start_string, "%Y-%m-%d %H:%M:%S")
+
+        stop_string = "%s %s" % (
+            meeting['meeting_date_end'], meeting['meeting_time_stop'])
+        stop_dt = datetime.datetime.strptime(
+            stop_string, "%Y-%m-%d %H:%M:%S")
 
         # Loop over them until we find a good one.
         # Meetings before now are no good.  We want the first one after now.
